Subject: [PATCH 00/17] Initial POWER9 XIVE and PHB4 support

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 27 Jun 2016 22:25:16 +1000

This provides an initial base support for the XIVE interrupt controller
and the new IODA3 compliant PHB4, both found on POWER9. The series
is interleaved with a bug fix or two as I found problems in sim.

The new OPAL APIs haven't been committed yet so are still subject
to change, thus the patches relying on them shouldn't bee merged just
yet, at least not until we freeze those APIs. The individual fixes
are good to go though.

This is very basic support for XIVE by using OPAL APIs that simulate
a XICS. This is meant as a fallback if the interrupt controller
implementation is unknown.

A subsequent series will provide the native support for XIVE (aka
exploitation mode) and this will remain as a fallback for future
chip that might implement a variant that isn't backward compatible.

Similarily, we use an OPAL call for TCE invalidations in IODA3. We
may at some point add native support for PHB4, but this gives us
a fallback in case the HW changes in unsupported ways.